components:
  schemas:
    FileShare_FileShare:
      anyOf:
      - $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/FileShare.v1_0_2.yaml#/components/schemas/FileShare_v1_0_2_FileShare
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/FileShare.v1_1_3.yaml#/components/schemas/FileShare_v1_1_3_FileShare
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/FileShare.v1_2_0.yaml#/components/schemas/FileShare_v1_2_0_FileShare
      description: A shared set of files.
      x-longDescription: This resource shall be used to represent a shared set of
        files.
title: '#FileShare.FileShare'
x-copyright: Copyright 2015-2022 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
